趨 勢 分 析

Trend Analysis

熱門關鍵字:響應式網頁

2019年8月將規定不得使用老舊的API,新app程式必須添增64位元的版本。

瀏覽數:10+ │2018/6/4

 

Google今年初在APK上新增安全元數據以驗證程式是否出自Google Play,今年8月開始要求新程式不得使用老舊的API,且於2019年8月將規定程式必須添增64位元的版本。

 

為了強化Android程式的安全性與效能,最快上路的是Android程式的出處驗證。今年初Google在每個APK上添加少量的安全元數據,以驗證它是否來自Google Play。

 

而為了確保Android用戶的最佳體驗,自2018年8月起,所有的新程式都必須採用API level 26 (Android 8.0)或更高等級的API,2018年11月則會將此一標準延伸到更新版的Android程式。之後也將繼續依照此一規範,要求開發人員必須隨著新版Android的發表而採用相對應的API level 。

 

由於Google早在2014年發表的Android 5.0就開始支援64位元架構,市場上亦有超過4成的Android裝置支援64位元,有鑑於未來的Android裝置可能只支援64位元,因此Google將在2019年8月起要求所有的新程式或更新程式都必須提供64位元的版本。

 

Android產品經理Edward Cunningham說明,如同購買實體商品時,消費者會在商品上看見一個官方的徽章或標誌以驗明正身,Google的作法就像是在每個Android程式中嵌入Play徽章,它並不會改變程式功能,開發者亦無需採取任何行動。

 

Cunningham表示,已不再更新的既有程式不會受到此一變更的影響,開發人員亦可持續替舊版Android建置程式,只有以後的Android版本才會規範那些不採用最新API level的程式。